import es
import gamethread
from configobj import ConfigObj

config = es.getString("eventscripts_gamedir") + '/cfg/fruitnade/fruitnade_config.cfg'
configload = ConfigObj(config)
fn_henade = int(configload["fn_henade"])
fn_flashnade = int(configload["fn_flashnade"])
fn_smokenade = int(configload["fn_smokenade"])

nadehe = None
nadeflash = None
nadesmoke = None

info = es.AddonInfo()
info.name = "Fruit Nade"
info.version = "1.0"
info.author = "Santa"
info.url = "http://www.pup-board.de/"
info.basename = "fruitnade"
info.description = "Lustige HE Skins"
info.copyright = "2010 - 2120"
info.user = "Public"

def load():
	es.set("%s" % info.basename,info.version)
	es.makepublic("%s" % info.basename)

	gamethread.delayed(3, he)
	gamethread.delayed(3, flash)
	gamethread.delayed(3, smoke)
	
def player_activate(ev):
	gamethread.delayed(7, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenFruitNade #green] #defaultby Santa: #lightgreenAktiviert.'))

def weapon_fire(ev):
	if ev["weapon"] == "hegrenade":
		gamethread.delayed(0.2, changehe)
		
	if ev["weapon"] == "flashbang":
		gamethread.delayed(0.2, changeflash)
		
	if ev["weapon"] == "smokegrenade":
		gamethread.delayed(0.2, changesmoke)

	
def he():
	global henade
	if fn_henade == 1:
		henade = es.precachemodel("models/props/cs_italy/bananna.mdl")
	if fn_henade == 2:
		henade = es.precachemodel("models/props/cs_italy/orange.mdl")
	if fn_henade == 3:
		henade = es.precachemodel("models/props_junk/watermelon01.mdl")
		
def flash():
	global flashnade
	if fn_flashnade == 1:
		flashnade = es.precachemodel("models/props/cs_italy/bananna.mdl")
	if fn_flashnade == 2:
		flashnade = es.precachemodel("models/props/cs_italy/orange.mdl")
	if fn_flashnade == 3:
		flashnade = es.precachemodel("models/props_junk/watermelon01.mdl")
		
def smoke():
	global smokenade
	if fn_smokenade == 1:
		smokenade = es.precachemodel("models/props/cs_italy/bananna.mdl")
	if fn_smokenade == 2:
		smokenade = es.precachemodel("models/props/cs_italy/orange.mdl")
	if fn_smokenade == 3:
		smokenade = es.precachemodel("models/props_junk/watermelon01.mdl")
		
		
def changehe():
	global nadehe
	nadehe = es.createentitylist("hegrenade_projectile")
	for x in nadehe:
		es.setindexprop(x, "CBaseEntity.m_nModelIndex", henade)
		es.setindexprop(x, "CBaseEntity.m_clrRender", -1)
	nadehe = None
	
def changeflash():
	global nadeflash
	nadeflash = es.createentitylist("flashbang_projectile")
	for x in nadeflash:
		es.setindexprop(x, "CBaseEntity.m_nModelIndex", flashnade)
		es.setindexprop(x, "CBaseEntity.m_clrRender", -1)
	nadeflash = None
	
def changesmoke():
	global nadesmoke
	nadesmoke = es.createentitylist("smokegrenade_projectile")
	for x in nadesmoke:
		es.setindexprop(x, "CBaseEntity.m_nModelIndex", smokenade)
		es.setindexprop(x, "CBaseEntity.m_clrRender", -1)
	nadesmoke = None